strict_strtol
Prev | String Conversions | Next

## Name

strict_strtol — convert a string to a long strictly

## Synopsis

`int strict_strtol (` | const char * | cp,
| unsigned int | base,
| long * | res`)`;

## Arguments

`cp`

  The string to be converted

`base`

  The number base to use

`res`

  The converted result value

## Description

strict_strtol is similiar to strict_strtoul, but it allows the first character of a string is '-'.

It returns 0 if conversion is successful and *res is set to the converted value, otherwise it returns -EINVAL and *res is set to 0.

Prev | Up | Next
strict_strtoul | Home | strict_strtoull